> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.levanta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Conversions

> List conversions within a date range [start, end]. Start date must be before end date and the date range must not be greater than 60 days



## OpenAPI

````yaml https://app.levanta.io/api/creator/v2/openapi.json get /reports/conversions
openapi: 3.1.0
info:
  version: 2.0.0
  title: Levanta Creator API v2
  description: >-
    Authorize all requests with an API key in the Authorization header as the
    second token. E.g. Authorization -> "Bearer {api_key}".
servers:
  - url: https://app.levanta.io/api/creator/v2
security: []
externalDocs:
  url: https://app.levanta.io/creator/api-docs
paths:
  /reports/conversions:
    get:
      tags:
        - Reports
      summary: List Conversions
      description: >-
        List conversions within a date range [start, end]. Start date must be
        before end date and the date range must not be greater than 60 days
      operationId: CreatorListConversionsV2
      parameters:
        - schema:
            type: string
          required: false
          name: orderId
          in: query
        - schema:
            type: string
          required: false
          name: subid1
          in: query
        - schema:
            type: string
          required: false
          name: subid2
          in: query
        - schema:
            type: string
          required: false
          name: clickid
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: false
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: start
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: false
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: end
          in: query
        - schema:
            type: string
            enum:
              - all
              - walmart.com
              - shopify.com
            description: >-
              Represents a Levanta marketplace with conversion level data (ex:
              walmart.com, shopify.com).
          required: true
          description: >-
            Represents a Levanta marketplace with conversion level data (ex:
            walmart.com, shopify.com).
          name: marketplace
          in: query
        - schema:
            type: string
            maxLength: 512
            description: >-
              The cursor returned from the last request, if omitted the first
              page will be returned
          required: false
          description: >-
            The cursor returned from the last request, if omitted the first page
            will be returned
          name: cursor
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 500
            default: 100
            description: The maximum number of items to return
          required: false
          description: The maximum number of items to return
          name: limit
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversions:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          format: date-time
                          description: >-
                            Date in ISO Format without offset (UTC):
                            YYYY-MM-DDTHH:mm:ss.SSSZ
                        subid1:
                          type: string
                        subid2:
                          type: string
                        sharedId:
                          type: string
                        clickid:
                          type: string
                        id:
                          type: string
                        orderId:
                          type: string
                        quantity:
                          type: number
                        sales:
                          type: string
                        commissionAmount:
                          type: string
                        marketplace:
                          type: string
                          enum:
                            - walmart.com
                            - shopify.com
                        product:
                          type: object
                          properties:
                            primaryId:
                              type: string
                            ids:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                    enum:
                                      - ASIN
                                      - SKU
                                      - GTIN
                                      - Walmart Item ID
                                      - Variant ID
                                  value:
                                    type: string
                                required:
                                  - label
                                  - value
                            title:
                              type: string
                          required:
                            - primaryId
                            - ids
                            - title
                        status:
                          type: string
                          enum:
                            - PENDING
                            - APPROVED
                            - REJECTED
                            - PAID
                          description: |-
                            The status of the conversion.

                                                - PENDING: The conversion is pending approval.
                                                - APPROVED: The conversion was approved and due to be paid out.
                                                - REJECTED: The conversion was rejected.
                                                - PAID: The conversion has been paid out.
                      required:
                        - date
                        - id
                        - orderId
                        - quantity
                        - sales
                        - commissionAmount
                        - marketplace
                        - product
                        - status
                  cursor:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The cursor to use for the next request, if empty there are
                      no more items to return
                required:
                  - conversions
                  - cursor
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 401
                  message:
                    type: string
                    enum:
                      - Unauthorized
                required:
                  - status
                  - message
        '422':
          description: Input Validation Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 422
                  message:
                    type: string
                    enum:
                      - Input Validation Failed
                required:
                  - status
                  - message
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````